"use strict";
const common_vendor = require("../../../common/vendor.js");
const sheep_index = require("../../index.js");
const sheep_helper_index = require("../../helper/index.js");
require("../../url/index.js");
require("../../store/index.js");
require("../../store/app.js");
require("../../api/promotion/diy.js");
require("../../request/index.js");
require("../../config/index.js");
require("../../platform/index.js");
require("../../platform/provider/wechat/index.js");
require("../../platform/provider/wechat/miniProgram.js");
require("../../api/member/auth.js");
require("../../api/member/social.js");
require("../../api/member/user.js");
require("../../platform/provider/apple/index.js");
require("../../platform/share.js");
require("../../router/index.js");
require("../../hooks/useModal.js");
require("../../helper/test.js");
require("../../helper/throttle.js");
require("../../platform/pay.js");
require("../../api/pay/order.js");
require("../../store/user.js");
require("../../store/cart.js");
require("../../api/trade/cart.js");
require("../../api/pay/wallet.js");
require("../../api/trade/order.js");
require("../../api/promotion/coupon.js");
require("../../store/sys.js");
require("../../store/modal.js");
require("../../config/zIndex.js");
require("../../helper/digit.js");
if (!Array) {
  const _easycom_su_video2 = common_vendor.resolveComponent("su-video");
  _easycom_su_video2();
}
const _easycom_su_video = () => "../../ui/su-video/su-video.js";
if (!Math) {
  _easycom_su_video();
}
const _sfc_main = {
  __name: "s-video-block",
  props: {
    data: {
      type: Object,
      default() {
      }
    },
    styles: {
      type: Object,
      default() {
      }
    }
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          uid: common_vendor.unref(sheep_helper_index.guid)(),
          src: common_vendor.unref(sheep_index.sheep).$url.cdn(__props.data.videoUrl),
          poster: common_vendor.unref(sheep_index.sheep).$url.cdn(__props.data.posterUrl),
          height: __props.styles.height * 2,
          autoplay: __props.data.autoplay
        })
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-33d06052"], ["__file", "/Users/RuHu.Xu/Desktop/mall-newfeifan-zx-app/sheep/components/s-video-block/s-video-block.vue"]]);
wx.createComponent(Component);
